#ifndef _PROTEIN_H_
#define _PROTEIN_H_

#include <vector>
#include "Metadata.hpp"
#include "Model.hpp"

struct Protein
{
	std::vector<Model> models;
	void setNUMMDL(int modelCount) { models.reserve(modelCount); }
	Metadata metadata;

	void fillMaps();
};

#endif
